%define fontname lohit-fonts
%define	xfontdir	%{_datadir}/fonts
%define update_cache    /usr/bin/fc-cache
%define langlist	"bengali hindi gujarati tamil punjabi kannada malayalam oriya telugu"

Name:		fonts-indic
Version:	2.3.1
Release: 	1%{?dist}
License:	GPLv2
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source:		%{fontname}-%{version}.tar.gz
Url:		https://fedorahosted.org/lohit
Summary: Free Indian truetype/opentype fonts
%description
This package provides the Hindi, Bengali, Gujarati, Punjabi, Tamil, Kannada, Malayalam, Oriya, Telugu TrueType/Opentype fonts.


%package -n fonts-bengali
Summary: Free Bengali truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-bn
Requires:       fontconfig
%description -n fonts-bengali
These are the free Bengali truetype/opentype fonts. 

%package -n fonts-gujarati
Summary: Free Gujarati truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-gu
Requires:       fontconfig
%description -n fonts-gujarati
These are the free Gujarati truetype/opentype fonts. 

%package -n fonts-hindi
Summary: Free Hindi truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-hi
Requires:       fontconfig
%description -n fonts-hindi
These are the free Hindi truetype/opentype fonts. 

%package -n fonts-punjabi
Summary: Free Punjabi truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-pa
Requires:       fontconfig
%description -n fonts-punjabi
These are the free Punjabi truetype/opentype fonts. 

%package -n fonts-tamil
Summary: Free Tamil truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-ta
Requires:       fontconfig
%description -n fonts-tamil
These are the free Tamil truetype/opentype fonts. 

%package -n fonts-kannada
Summary: Free Kannada truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-kn
Requires:       fontconfig
%description -n fonts-kannada
These are the free Kannada truetype/opentype fonts. 

%package -n fonts-malayalam
Summary: Free Malayalam truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-ml
Requires:       fontconfig
%description -n fonts-malayalam
These are the free Malayalam truetype/opentype fonts. 

%package -n fonts-oriya
Summary: Free Oriya truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-or
Requires:       fontconfig
%description -n fonts-oriya
These are the free Oriya truetype/opentype fonts. 

%package -n fonts-telugu
Summary: Free Telugu truetype fonts
Group: User Interface/X
Obsoletes:  ttfonts-te
Requires:       fontconfig
%description -n fonts-telugu
These are the free Telugu truetype/opentype fonts. 

%prep
%setup -q -n %{fontname}-%{version}

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT

for i in "%{langlist}"
do
	install -d $RPM_BUILD_ROOT/%{xfontdir}/$i
	install -m 0644 $i/* $RPM_BUILD_ROOT/%{xfontdir}/$i
	# Ghost the fonts.cache-1 file
	touch $RPM_BUILD_ROOT/%{xfontdir}/$i/fonts.cache-1
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -n fonts-bengali
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-gujarati
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-hindi
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-punjabi
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-tamil
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-kannada
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-malayalam
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-oriya
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n fonts-telugu
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null



%postun -n fonts-bengali
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-gujarati
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-hindi
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-punjabi
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-tamil
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-kannada
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-malayalam
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-oriya
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n fonts-telugu
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi


%files -n fonts-bengali
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/bengali
%doc COPYING
%ghost %{xfontdir}/bengali/fonts.cache-1
%{xfontdir}/bengali/*ttf

%files -n fonts-gujarati
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/gujarati
%doc COPYING
%ghost %{xfontdir}/gujarati/fonts.cache-1
%{xfontdir}/gujarati/*ttf

%files -n fonts-hindi
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/hindi
%doc COPYING
%ghost %{xfontdir}/hindi/fonts.cache-1
%{xfontdir}/hindi/*ttf

%files -n fonts-punjabi
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/punjabi
%doc COPYING
%ghost %{xfontdir}/punjabi/fonts.cache-1
%{xfontdir}/punjabi/*ttf

%files -n fonts-tamil
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/tamil
%doc COPYING
%ghost %{xfontdir}/tamil/fonts.cache-1
%{xfontdir}/tamil/*ttf

%files -n fonts-kannada
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/kannada
%doc COPYING
%ghost %{xfontdir}/kannada/fonts.cache-1
%{xfontdir}/kannada/*ttf

%files -n fonts-malayalam
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/malayalam
%doc COPYING
%ghost %{xfontdir}/malayalam/fonts.cache-1
%{xfontdir}/malayalam/*ttf

%files -n fonts-oriya
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/oriya
%doc COPYING
%ghost %{xfontdir}/oriya/fonts.cache-1
%{xfontdir}/oriya/*ttf

%files -n fonts-telugu
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/telugu
%doc COPYING
%ghost %{xfontdir}/telugu/fonts.cache-1
%{xfontdir}/telugu/*ttf

%changelog
* Tue Nov 4 2008 Anatoly Metetes <anatolym@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Sep 10 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.3.1-1.el5
- Resolves:
- RH#215903 [hi_IN, mr_IN] Incorrect extent of 0x093f when attached to a composite character which has width greater than a single character
- RH#216400 [te_IN] anaconda GUI - Release Notes button overlaps with other text
- RH#239630 [hi_IN] the glyph of 0x0953 in lohit_hi.ttf is wrong.
- RH#247420 [as_IN] Additional special character rendering
- RH#429527 [ml_IN]: Removal of a glyph from font file

* Tue Jan 15 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.7-2.el5
- Updated the tarball.

* Tue Jan 15 2008 Rahul Bhalerao <rbhalera@redhat.com> -2.1.7-1.el5
- 215896 	Relative height of 0x0901 (and 0x0902) on 0x0915 is different than other devnagari characters
(hi_IN, mr_IN)
- 218749 	[ta_IN] New codepoints/glyphs U+0B82 Not included as shown in Unicode 4.0
- 221391 	[ml_IN] Digits are appearing in English instead of malayalam - Priority C
- 221966 	[te_IN] [fonts-indic] - Danda and Double Danda to be implemented with 0964 && 0965
- 222258 	[or_IN] [fonts-indic] - One GSUB Conjunct is not appearing with its correct shape
- 233419 	[kn_IN] GSUB's combinaing with additional dependent vowel are not rendering correctly

* Fri Dec 14 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.6-1.el5
- 234284        [pa_IN] Enlarge size for asterik(*)
- 219784        [kn_IN] GSUB combinations has problem with Ra
- 219785        [kn_IN] shape of ra (U+0CB0) is not correct in combined character (below base)
- 221963        [kn_IN] [fonts-indic] - Danda and Double Danda to be implemented with 0964 && 0965
- 223945        [kn_IN] [fonts-kannada] Some Ligature rules are wrong in the font file 
- 228975        [kn_IN] Combinations with 2 Halants not rendering properly
- 228976        [kn_IN] Consonant + Halant + Consonant + Dependent Vowel not appearing properly in some rare cases
- 233417        [kn_IN] wrong Conjuct combines during the formation kannada letter [yo]
- 233418        [kn_IN] Conjuct combination of U0CAE with U0CCB is rendering wrongly
- 233419        [kn_IN] GSUB's combinaing with additional dependent vowel are not rendering correctly
- 233570        [kn_IN] GSUB's combinaing with additional dependent vowel U0CC0 are not rendering correctly
- 233571        [kn_IN] GSUB's combinaing with additional dependent vowel U0CC7 are not rendering correctly
- 233572        [kn_IN] GSUB's combinaing with additional dependent vowel U0CC6 are not rendering correctly
- 233574        [kn_IN] GSUB's combinaing with additional dependent vowel U0CBE are not rendering correctly
- 233575        [kn_IN] GSUB's combinaing with additional dependent vowel U0CBF are not rendering correctly
- 233576        [kn_IN] GSUB's combinaing with additional dependent vowel U0CCB are not rendering correctly
- 233577        [kn_IN] GSUB's combinaing with additional dependent vowel U0CC8 are not rendering correctly
- 275101        [kn_IN] Font combinations are wrongly rendered

* Fri Jan 12 2007 Parag Nemade <pnemade@redhat.com> - 2.0.13-1.el5
- Resolves: RH#220800 for [or_IN], RH#221566 for [ml_IN] (Parag Nemade)

* Wed Jan 02 2007 Parag Nemade <pnemade@redhat.com> - 2.0.12-1.el5
- Resolves: RH#218421 for [ta_IN], RH#218913 for [hi_IN] (Parag Nemade) 

* Wed Dec 13 2006 Parag Nemade <pnemade@redhat.com> - 2.0.11-1.el5
- Resolves: RH#208816 and RH#214976 for [kn_IN] (Parag Nemade)
- Resolves: RH#219251 for [pa_IN] (Parag Nemade)
- Resolves: RH#214383 for [gu_IN] (Parag Nemade) 

* Tue Dec 01 2006 Parag Nemade <pnemade@redhat.com> - 2.0.10-1.el5
- Resolved Bugs from Parag Nemade
- Resolves: bug 217341 for [ta_IN],bug 214976 for [kn_IN],bug 211584 for [ml_IN],bug 214383 for [gu_IN],bug 217340 for [te_IN]
- Resolved Bugs from LingNing Zhang
- Resolves: Bug 217010,bug 217012 for [ml_IN]

* Tue Nov 21 2006 Parag Nemade <pnemade@redhat.com> - 2.0.9-1.el5
- Fixed Bugs from Parag Nemade
- Bug 216373: [pa_IN]Lohit Punjabi: (U+0A03) Gurmukhi Sign Visarga right margin is too wide.

* Tue Nov 21 2006 Parag Nemade <pnemade@redhat.com> - 2.0.8-1.el5
- Fixed Bugs from Parag Nemade
- Bug 211585 : [te_IN] GPOS position should be at middle instead of left hand side - Priority B
- Bug 212327 : [or_IN] one GSUB Rule is wrongly defined - Priority A
- Bug 211584 : [ml] characters are not shown bold during selecting BOLD font
- Bug 213198 : [pa_IN] 0a01/0a03/0964/0965 is missing from font
- Bug 214139 : Glyphs for two combinations are wrong in Gujarati (gu_IN)
- Bug 211432 : [ml_IN] The glyph of 0x25CC is not existing in lohit_ml.ttf
- Bug 215921 : [bn_IN]Incorrect glyph for conjunct
- Bug 215896 : Relative height of 0x0901 (and 0x0902) on 0x0915 is different than
               other devnagari characters (hi_IN, mr_IN)
- Fixed Bugs from LingNing Zhang 
- Bug 213368 : [as_IN] Pango - A particular char when Conjuncts, creates Cursor Nevigation Problem
- Bug 211432 : [ml_IN] The glyph of 0x25CC is not existing in lohit_ml.ttf
- Bug 208816 : [kn_IN] OTF rules to be fixed - Priority A

* Tue Oct 17 2006 Leon Ho <llch@redhat.com> - 2.0.7-1.el5
- fixed ta_IN: #208814 (Rahul Bhalerao)
- fixed kn_IN: #208816 (Ramakrishna Reddy)
- Resolves: rhbz#208814 rhbz#208816

* Fri Sep 29 2006 Leon Ho <llch@redhat.com> - 2.0.6-1
- fixed mr_IN: RH#208525, RH#208540 (LingNing Zhang)

* Fri Sep 29 2006 Leon Ho <llch@redhat.com> - 2.0.5-1
- fixed hi/mr_IN: RH#206422, RH#208068, RH#206426 (Rahul Bhalerao)
- fixed bn_IN: RH#206286 (Rahul)
- fixed pa_IN: RH#143179 (Rahul)

* Tue Sep 26 2006 Leon Ho <llch@redhat.com> - 2.0.4-1
- fixed RH#206387, RH#206431, RH#202163, RH#192934 for ml_IN (Rahul Bhalerao)
- fixed RH#206581, RH#206950 for or_IN (Rahul)

* Mon Sep 18 2006 Leon Ho <llch@redhat.com> - 2.0.3-1
- fixed RH#206301, RH#206461, RH#206597, RH#206550, RH#206291, RH#206446, RH#206469, RH#206587, RH#206589, RH#187481, RH#206950 for or_IN by Rahul Bhalerao <rbhalera@redhat.com>

* Thu Sep 14 2006 Leon Ho <llch@redhat.com> - 2.0.2-1
- fixed RH#206228 for ml_IN

* Thu Aug 17 2006 Leon Ho <llch@redhat.com> - 2.0.1-1
- fixed RH#201041 for bn_IN
- fixed RH#197639, RH#202161, RH#202163 for ml_IN
- fixed RH#201998 for kn_IN

* Mon Jul 31 2006 Darshan Santani <dsantani@redhat.com> - 2.0-2
- Bug Fixes "Bengali" RH#179821,  RH#197216, RH#169110
- Bug Fixes "Punjabi" RH #167592.
- Bug Fixes "Hindi" RH#189334 

* Wed Jul 19 2006 Leon Ho <llch@redhat.com> - 2.0-1
- added 4 new indic fonts
- added the glyphs u+0964 and u+0965 (Danda and Double Danda) in Bengali, Punjabi and Tamil (RH#183144)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.10-2.1.1
- rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue May 17 2005 Leon Ho <llch@redhat.com> 1.10-2
- fix Requires: fontconfig (#151771)

* Mon May 16 2005 Leon Ho <llch@redhat.com> 1.10-1
- New punjabi fonts to fix RH#151630

* Thu Mar 17 2005 Leon Ho <llch@redhat.com> 1.9-2
- Renaming s/panjabi/punjabi/ to fit the name in glibc

* Wed Feb 23 2005 Leon Ho <llch@redhat.com> 1.9-1
- Moved to fonts-indic

* Fri Nov 26 2004 Leon Ho <llch@redhat.com> 1.8-1
- rescaled some of the fonts (ta, gu) (#139990)
- fixed some of the char composition (#138150)
- disabled specific ascii glyphs from all the fonts (#140895)

* Mon Nov 22 2004 Leon Ho <llch@redhat.com>
- Use the fc-cache with /usr/share/fonts instead of child directory

* Thu Nov  4 2004 Leon Ho <llch@redhat.com> 1.7-1
- updated with rescaled fonts (#137147, Jatin)
- repackaged into new sources with same filenames

* Tue Oct 19 2004 Leon Ho <llch@redhat.com>
- Updated the source with new names
- Updated with proper license info

* Thu Oct 14 2004 Leon Ho <llch@redhat.com>
- Updated the source. Five fonts are provided.
- Added COPYING for license

* Mon Oct 04 2004 Jatin Nansi <jnansi@redhat.com>
- added '-f' to fc-cache.
- changed the fc-cache command in the post* sections.
- Assign correct version nos.

* Mon Oct 04 2004 Leon Ho <llch@redhat.com>
- added /usr/share/fonts path to fc-cache cmd
- added minor version number

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com>
- review and cleanup
